Rich text formatting is broken on Text and Long text custom fields
2019-02-05 15:56 - VD DV
Priority: Normal Due date:
Category: Custom fields Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 4.0.0
Description

It seems that rich text formatting is broken.
On custom fields (type Text and Long text) enabling and disabling "Text formatting" checkbox does not make any difference on
custom field beahviour.

Related issues:

Is duplicate of Redmine - Feature #29712: Preview and wiki toolbar for full w... Closed
History

#1 - 2019-02-05 19:49 - Marius BALTEANU

- File edit.png added

- File show.png added

- Status changed from New to Needs feedback

- Assignee set to VD DV

Can you provide the steps to reproduce the problem?

The feature is covered by the test and | double checked now on my instance and everything looks good. Please see the attached screenshots.

#2 - 2019-02-05 19:51 - Marius BALTEANU

One more thing, if you expect to see the toolbar for text formatting (Edit/Preview tabs and buttons), this feature is under development, please see
#29712.

#3 - 2019-02-06 09:52 - VD DV

That's it. | was missing toolbar covered in #29712. Thank you.
Do you know when this feature will be available?

#4 - 2019-02-06 09:55 - Marius BALTEANU
- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

VD DV wrote:

That's it. | was missing toolbar covered in #29712. Thank you.
Do you know when this feature will be available?

Hopefully in 4.1.0.

#5 - 2019-02-06 09:56 - Marius BALTEANU
- Is duplicate of Feature #29712: Preview and wiki toolbar for full width custom fields added

#6 - 2022-04-27 12:10 - VD DV

- Status changed from Closed to Reopened

It seams that toolbar for text formatting (Edit/Preview tabs and buttons) for text custom fields (for issues, projects, timelogs) is still missing in latest
redmine version (5.0.0.stable).
#7 - 2022-04-27 20:02 - Holger Just
- Status changed from Reopened to Closed
The edit buttons are typically only useful for long texts.

As such, the buttons are only added for custom fields with the format set to "Long Text" and where the "Text formatting" and "Full width layout"
options are enabled. This was added in #29712.

If you require the toolbar for other types of custom fields, please open a new issue and describe your use-case in more detail.
